import { UserService } from '@loopback/authentication';
import { Credentials, User, UserRepository } from '@loopback/authentication-jwt';
import { UserProfile } from '@loopback/security';
import { NewUserRequest } from './../models/new-user.model';
export declare class UserAuthenticationService implements UserService<User, Credentials> {
    userRepository: UserRepository;
    constructor(userRepository: UserRepository);
    registerUser(newUserRequest: NewUserRequest): Promise<UserProfile>;
    verifyCredentials(credentials: Credentials): Promise<User>;
    convertToUserProfile(user: User): UserProfile;
    completeUserProfile(currentUserProfile: UserProfile): Promise<UserProfile>;
    findUserById(id: string): Promise<User & import("@loopback/authentication-jwt").UserRelations>;
}
